GHSA-qh87-2qvh-5jf8

Suggest an improvement
Source
https://github.com/advisories/GHSA-qh87-2qvh-5jf8
Import Source
https://github.com/github/advisory-database/blob/main/advisories/github-reviewed/2022/08/GHSA-qh87-2qvh-5jf8/GHSA-qh87-2qvh-5jf8.json
JSON Data
https://api.osv.dev/v1/vulns/GHSA-qh87-2qvh-5jf8
Aliases
Published
2022-08-24T00:00:28Z
Modified
2024-02-16T08:21:08.714334Z
Severity
  • 3.3 (Low) CVSS_V3 - CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:L/I:N/A:N CVSS Calculator
Summary
RabbitMQ password stored in plain text by Jenkins CollabNet Plugins Plugin
Details

Jenkins CollabNet Plugins Plugin 2.0.8 and earlier stores a RabbitMQ password unencrypted in its global configuration file on the Jenkins controller where it can be viewed by users with access to the Jenkins controller file system.

References

Affected packages

Maven / org.jenkins-ci.plugins:collabnet

Package

Name
org.jenkins-ci.plugins:collabnet
View open source insights on deps.dev
Purl
pkg:maven/org.jenkins-ci.plugins/collabnet

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
2.0.9

Affected versions

1.*

1.1.6
1.1.7
1.1.8
1.1.9
1.1.10
1.2.0

2.*

2.0.1
2.0.2
2.0.3
2.0.4
2.0.5
2.0.6
2.0.7
2.0.8